Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPlaneWidget Class Reference

`#include <vtkPlaneWidget.h>`

Inheritance diagram for vtkPlaneWidget:

[legend]
Collaboration diagram for vtkPlaneWidget:

[legend]
List of all members.

## Detailed Description

3D widget for manipulating a finite plane

Date:
  2002/09/05 15:14:49

Revision:
  1.17

This 3D widget defines a finite (bounded) plane that can be interactively placed in a scene. The plane has four handles (at its corner vertices), a normal vector, and the plane itself. The handles are used to resize the plane; the normal vector to rotate it, and the plane can be picked and translated. A nice feature of the object is that the vtkPlaneWidget, like any 3D widget, will work with the current interactor style. That is, if vtkPlaneWidget does not handle an event, then all other registered observers (including the interactor style) have an opportunity to process the event. Otherwise, the vtkPlaneWidget will terminate the processing of the event that it handles.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. If the "i" key (for "interactor") is pressed, the vtkPlaneWidget will appear. (See superclass documentation for information about changing this behavior.) By grabbing the one of the four handles (use the left mouse button), the plane can be resized. By grabbing the plane itself, the entire plane can be arbitrarily translated. If you select the normal vector, the plane can be arbitrarily rotated. Selecting any part of the widget with the middle mouse button enables translation of the plane along its normal. (Once selected using middle mouse, moving the mouse in the direction of the normal translates the plane in the direction of the normal; moving in the direction opposite the normal translates the plane in the direction opposite the normal.) Scaling (about the center of the plane) is achieved by using the right mouse button. By moving the mouse "up" the render window the plane will be made bigger; by moving "down" the render window the widget will be made smaller. Events that occur outside of the widget (i.e., no part of the widget is picked) are propagated to any other registered obsevers (such as the interaction style). Turn off the widget by pressing the "i" key again (or invoke the Off() method).

The vtkPlaneWidget has several methods that can be used in conjunction with other VTK objects. The Set/GetResolution() methods control the number of subdivisions of the plane; the GetPolyData() method can be used to get the polygonal representation and can be used for things like seeding stream lines. GetPlane() can be used to update a vtkPlane implicit function. Typical usage of the widget is to make use of the StartInteractionEvent, InteractionEvent, and EndInteractionEvent events. The InteractionEvent is called on mouse motion; the other two events are called on button down and button up (either left or right button).

Some additional features of this class include the ability to control the properties of the widget. You can set the properties of the selected and unselected representations of the plane. For example, you can set the property for the handles and plane. In addition there are methods to constrain the plane so that it is perpendicular to the x-y-z axes.

Warning:
  Note that handles and plane can be picked even when they are "behind" other actors. This is an intended feature and not a bug.

See also:
  vtk3DWidget vtkBoxWidget vtkLineWidget vtkSphereWidget vtkImplicitPlaneWidget

Events:
  vtkCommand::EnableEvent vtkCommand::InteractionEvent vtkCommand::EndInteractionEvent vtkCommand::DisableEvent vtkCommand::StartInteractionEvent

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (73%)
  - cpbotha (13%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkPlaneWidget.cxx)`
  - .`h` (`/Hybrid/vtkPlaneWidget.h)`

Examples:
  vtkPlaneWidget (Examples)

Tests:
  vtkPlaneWidget (Tests)

Definition at line 125 of file vtkPlaneWidget.h.

## Public Types
typedef vtkPolyDataSourceWidget | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | GetPolyData (vtkPolyData *pd)
void | GetPlane (vtkPlane *plane)
vtkPolyDataSource * | GetPolyDataSource ()
void | UpdatePlacement (void)
virtual void | SetEnabled (int)
virtual void | PlaceWidget (float bounds[6])
void | PlaceWidget ()
void | SetResolution (int r)
int | GetResolution ()
void | SetOrigin (float x, float y, float z)
void | SetOrigin (float x[3])
float * | GetOrigin ()
void | GetOrigin (float xyz[3])
void | SetPoint1 (float x, float y, float z)
void | SetPoint1 (float x[3])
float * | GetPoint1 ()
void | GetPoint1 (float xyz[3])
void | SetPoint2 (float x, float y, float z)
void | SetPoint2 (float x[3])
float * | GetPoint2 ()
void | GetPoint2 (float xyz[3])
void | SetCenter (float x, float y, float z)
void | SetCenter (float x[3])
float * | GetCenter ()
void | GetCenter (float xyz[3])
void | SetNormal (float x, float y, float z)
void | SetNormal (float x[3])
float * | GetNormal ()
void | GetNormal (float xyz[3])
virtual void | SetRepresentation (int)
virtual int | GetRepresentation ()
void | SetRepresentationToOff ()
void | SetRepresentationToOutline ()
void | SetRepresentationToWireframe ()
void | SetRepresentationToSurface ()
virtual void | SetNormalToXAxis (int)
virtual int | GetNormalToXAxis ()
virtual void | NormalToXAxisOn ()
virtual void | NormalToXAxisOff ()
virtual void | SetNormalToYAxis (int)
virtual int | GetNormalToYAxis ()
virtual void | NormalToYAxisOn ()
virtual void | NormalToYAxisOff ()
virtual void | SetNormalToZAxis (int)
virtual int | GetNormalToZAxis ()
virtual void | NormalToZAxisOn ()
virtual void | NormalToZAxisOff ()
virtual vtkProperty * | GetHandleProperty ()
virtual vtkProperty * | GetSelectedHandleProperty ()
virtual void | SetPlaneProperty (vtkProperty *)
virtual vtkProperty * | GetPlaneProperty ()
virtual vtkProperty * | GetSelectedPlaneProperty ()
## Static Public Methods
vtkPlaneWidget * | New ()
int | IsTypeOf (const char *type)
vtkPlaneWidget * | SafeDownCast (vtkObject *o)
## Protected Types
enum | WidgetState { Start = 0, Moving, Scaling, Pushing, Rotating, Outside }
## Protected Methods
| vtkPlaneWidget ()
| ~vtkPlaneWidget ()
void | OnLeftButtonDown ()
void | OnLeftButtonUp ()
void | OnMiddleButtonDown ()
void | OnMiddleButtonUp ()
void | OnRightButtonDown ()
void | OnRightButtonUp ()
void | OnMouseMove ()
void | SelectRepresentation ()
void | HighlightPlane (int highlight)
void | PositionHandles ()
void | HandlesOn (double length)
void | HandlesOff ()
int | HighlightHandle (vtkProp *prop)
virtual void | SizeHandles ()
void | HighlightNormal (int highlight)
void | MoveOrigin (double *p1, double *p2)
void | MovePoint1 (double *p1, double *p2)
void | MovePoint2 (double *p1, double *p2)
void | MovePoint3 (double *p1, double *p2)
void | Rotate (int X, int Y, double *p1, double *p2, double *vpn)
void | Scale (double *p1, double *p2, int X, int Y)
void | Translate (double *p1, double *p2)
void | Push (double *p1, double *p2)
void | CreateDefaultProperties ()
void | GeneratePlane ()
## Static Protected Methods
void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
## Protected Attributes
int | State
int | NormalToXAxis
int | NormalToYAxis
int | NormalToZAxis
int | Representation
vtkActor * | PlaneActor
vtkPolyDataMapper * | PlaneMapper
vtkPlaneSource * | PlaneSource
vtkPolyData * | PlaneOutline
vtkActor ** | Handle
vtkPolyDataMapper ** | HandleMapper
vtkSphereSource ** | HandleGeometry
vtkActor * | ConeActor
vtkPolyDataMapper * | ConeMapper
vtkConeSource * | ConeSource
vtkActor * | LineActor
vtkPolyDataMapper * | LineMapper
vtkLineSource * | LineSource
vtkActor * | ConeActor2
vtkPolyDataMapper * | ConeMapper2
vtkConeSource * | ConeSource2
vtkActor * | LineActor2
vtkPolyDataMapper * | LineMapper2
vtkLineSource * | LineSource2
vtkCellPicker * | HandlePicker
vtkCellPicker * | PlanePicker
vtkActor * | CurrentHandle
float | Normal [3]
vtkTransform * | Transform
vtkProperty * | HandleProperty
vtkProperty * | SelectedHandleProperty
vtkProperty * | PlaneProperty
vtkProperty * | SelectedPlaneProperty

## Member Typedef Documentation

typedef vtkPolyDataSourceWidget vtkPlaneWidget::Superclass

| Reimplemented from vtkPolyDataSourceWidget. Definition at line 131 of file vtkPlaneWidget.h.

## Member Enumeration Documentation

enum vtkPlaneWidget::WidgetState`[protected]`

  | Enumeration values:
  Start |
  Moving |
  Scaling |
  Pushing |
  Rotating |
  Outside |
Definition at line 273 of file vtkPlaneWidget.h.

## Constructor & Destructor Documentation

vtkPlaneWidget::vtkPlaneWidget | ( |  | ) | `[protected]`

vtkPlaneWidget::~vtkPlaneWidget | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPlaneWidget* vtkPlaneWidget::New | ( |  | ) | `[static]`

| Instantiate the object. Reimplemented from vtkObject.

virtual const char* vtkPlaneWidget::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSourceWidget.

int vtkPlaneWidget::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSourceWidget.

virtual int vtkPlaneWidget::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSourceWidget.

vtkPlaneWidget* vtkPlaneWidget::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSourceWidget.

void vtkPlaneWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSourceWidget.

virtual void vtkPlaneWidget::SetEnabled | ( | int |  | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkInteractorObserver.

virtual void vtkPlaneWidget::PlaceWidget | ( | float | bounds[6] | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkPolyDataSourceWidget.

void vtkPlaneWidget::PlaceWidget | ( |  | ) | `[inline, virtual]`

| Methods that satisfy the superclass' API. Reimplemented from vtkPolyDataSourceWidget. Definition at line 138 of file vtkPlaneWidget.h.

void vtkPlaneWidget::SetResolution | ( | int | r | ) |

| Set/Get the resolution (number of subdivisions) of the plane.

int vtkPlaneWidget::GetResolution | ( |  | ) |

| Set/Get the resolution (number of subdivisions) of the plane.

void vtkPlaneWidget::SetOrigin | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Set/Get the origin of the plane.

void vtkPlaneWidget::SetOrigin | ( | float | x[3] | ) |

| Set/Get the origin of the plane.

float* vtkPlaneWidget::GetOrigin | ( |  | ) |

| Set/Get the origin of the plane.

void vtkPlaneWidget::GetOrigin | ( | float | xyz[3] | ) |

| Set/Get the origin of the plane.

void vtkPlaneWidget::SetPoint1 | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Set/Get the position of the point defining the first axis of the plane.

void vtkPlaneWidget::SetPoint1 | ( | float | x[3] | ) |

| Set/Get the position of the point defining the first axis of the plane.

float* vtkPlaneWidget::GetPoint1 | ( |  | ) |

| Set/Get the position of the point defining the first axis of the plane.

void vtkPlaneWidget::GetPoint1 | ( | float | xyz[3] | ) |

| Set/Get the position of the point defining the first axis of the plane.

void vtkPlaneWidget::SetPoint2 | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Set/Get the position of the point defining the second axis of the plane.

void vtkPlaneWidget::SetPoint2 | ( | float | x[3] | ) |

| Set/Get the position of the point defining the second axis of the plane.

float* vtkPlaneWidget::GetPoint2 | ( |  | ) |

| Set/Get the position of the point defining the second axis of the plane.

void vtkPlaneWidget::GetPoint2 | ( | float | xyz[3] | ) |

| Set/Get the position of the point defining the second axis of the plane.

void vtkPlaneWidget::SetCenter | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Get the center of the plane.

void vtkPlaneWidget::SetCenter | ( | float | x[3] | ) |

| Get the center of the plane.

float* vtkPlaneWidget::GetCenter | ( |  | ) |

| Get the center of the plane.

void vtkPlaneWidget::GetCenter | ( | float | xyz[3] | ) |

| Get the center of the plane.

void vtkPlaneWidget::SetNormal | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Get the normal to the plane.

void vtkPlaneWidget::SetNormal | ( | float | x[3] | ) |

| Get the normal to the plane.

float* vtkPlaneWidget::GetNormal | ( |  | ) |

| Get the normal to the plane.

void vtkPlaneWidget::GetNormal | ( | float | xyz[3] | ) |

| Get the normal to the plane.

virtual void vtkPlaneWidget::SetRepresentation | ( | int |  | ) | `[virtual]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

virtual int vtkPlaneWidget::GetRepresentation | ( |  | ) | `[virtual]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

void vtkPlaneWidget::SetRepresentationToOff | ( |  | ) | `[inline]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface. Definition at line 198 of file vtkPlaneWidget.h. References VTK_PLANE_OFF.

void vtkPlaneWidget::SetRepresentationToOutline | ( |  | ) | `[inline]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface. Definition at line 200 of file vtkPlaneWidget.h. References VTK_PLANE_OUTLINE.

void vtkPlaneWidget::SetRepresentationToWireframe | ( |  | ) | `[inline]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface. Definition at line 202 of file vtkPlaneWidget.h. References VTK_PLANE_WIREFRAME.

void vtkPlaneWidget::SetRepresentationToSurface | ( |  | ) | `[inline]`

| Control how the plane appears when GetPolyData() is invoked. If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface. Definition at line 204 of file vtkPlaneWidget.h. References VTK_PLANE_SURFACE.

virtual void vtkPlaneWidget::SetNormalToXAxis | ( | int |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkPlaneWidget::GetNormalToXAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToXAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToXAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::SetNormalToYAxis | ( | int |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkPlaneWidget::GetNormalToYAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToYAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToYAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::SetNormalToZAxis | ( | int |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkPlaneWidget::GetNormalToZAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToZAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkPlaneWidget::NormalToZAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

void vtkPlaneWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

| Grab the polydata (including points) that defines the plane. The polydata consists of (res+1)*(res+1) points, and res*res quadrilateral polygons, where res is the resolution of the plane. These point values are guaranteed to be up-to-date when either the InteractionEvent or EndInteraction events are invoked. The user provides the vtkPolyData and the points and polyplane are added to it.

void vtkPlaneWidget::GetPlane | ( | vtkPlane * | plane | ) |

| Get the planes describing the implicit function defined by the plane widget. The user must provide the instance of the class vtkPlane. Note that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can be used by a variety of filters to perform clipping, cutting, and selection of data.

vtkPolyDataSource* vtkPlaneWidget::GetPolyDataSource | ( |  | ) | `[virtual]`

| Satisfies superclass API. This returns a pointer to the underlying PolyData. Make changes to this before calling the initial PlaceWidget() to have the initial placement follow suit. Or, make changes after the widget has been initialised and call UpdatePlacement() to realise. Implements vtkPolyDataSourceWidget.

void vtkPlaneWidget::UpdatePlacement | ( | void |  | ) | `[virtual]`

| Satisfies superclass API. This will change the state of the widget to match changes that have been made to the underlying PolyDataSource Implements vtkPolyDataSourceWidget.

virtual vtkProperty* vtkPlaneWidget::GetHandleProperty | ( |  | ) | `[virtual]`

| Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual vtkProperty* vtkPlaneWidget::GetSelectedHandleProperty | ( |  | ) | `[virtual]`

| Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual void vtkPlaneWidget::SetPlaneProperty | ( | vtkProperty * |  | ) | `[virtual]`

| Get the plane properties. The properties of the plane when selected and unselected can be manipulated.

virtual vtkProperty* vtkPlaneWidget::GetPlaneProperty | ( |  | ) | `[virtual]`

| Get the plane properties. The properties of the plane when selected and unselected can be manipulated.

virtual vtkProperty* vtkPlaneWidget::GetSelectedPlaneProperty | ( |  | ) | `[virtual]`

| Get the plane properties. The properties of the plane when selected and unselected can be manipulated.

void vtkPlaneWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) | `[static, protected]`

| Handles the char widget activation event. Also handles the delete event. Reimplemented from vtkInteractorObserver.

void vtkPlaneWidget::OnLeftButtonDown | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnLeftButtonUp | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnMiddleButtonDown | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnMiddleButtonUp | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnRightButtonDown | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnRightButtonUp | ( |  | ) | `[protected]`

void vtkPlaneWidget::OnMouseMove | ( |  | ) | `[protected]`

void vtkPlaneWidget::SelectRepresentation | ( |  | ) | `[protected]`

void vtkPlaneWidget::HighlightPlane | ( | int | highlight | ) | `[protected]`

void vtkPlaneWidget::PositionHandles | ( |  | ) | `[protected]`

void vtkPlaneWidget::HandlesOn | ( | double | length | ) | `[protected]`

void vtkPlaneWidget::HandlesOff | ( |  | ) | `[protected]`

int vtkPlaneWidget::HighlightHandle | ( | vtkProp * | prop | ) | `[protected]`

virtual void vtkPlaneWidget::SizeHandles | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtk3DWidget.

void vtkPlaneWidget::HighlightNormal | ( | int | highlight | ) | `[protected]`

void vtkPlaneWidget::MoveOrigin | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::MovePoint1 | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::MovePoint2 | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::MovePoint3 | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::Rotate | ( | int | X,
|  | int | Y,
|  | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) | `[protected]`

void vtkPlaneWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) | `[protected]`

void vtkPlaneWidget::Translate | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::Push | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkPlaneWidget::CreateDefaultProperties | ( |  | ) | `[protected]`

void vtkPlaneWidget::GeneratePlane | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkPlaneWidget::State`[protected]`

| Definition at line 272 of file vtkPlaneWidget.h.

int vtkPlaneWidget::NormalToXAxis`[protected]`

| Definition at line 300 of file vtkPlaneWidget.h.

int vtkPlaneWidget::NormalToYAxis`[protected]`

| Definition at line 301 of file vtkPlaneWidget.h.

int vtkPlaneWidget::NormalToZAxis`[protected]`

| Definition at line 302 of file vtkPlaneWidget.h.

int vtkPlaneWidget::Representation`[protected]`

| Definition at line 303 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::PlaneActor`[protected]`

| Definition at line 307 of file vtkPlaneWidget.h.

vtkPolyDataMapper* vtkPlaneWidget::PlaneMapper`[protected]`

| Definition at line 308 of file vtkPlaneWidget.h.

vtkPlaneSource* vtkPlaneWidget::PlaneSource`[protected]`

| Definition at line 309 of file vtkPlaneWidget.h.

vtkPolyData* vtkPlaneWidget::PlaneOutline`[protected]`

| Definition at line 310 of file vtkPlaneWidget.h.

vtkActor** vtkPlaneWidget::Handle`[protected]`

| Definition at line 314 of file vtkPlaneWidget.h.

vtkPolyDataMapper** vtkPlaneWidget::HandleMapper`[protected]`

| Definition at line 315 of file vtkPlaneWidget.h.

vtkSphereSource** vtkPlaneWidget::HandleGeometry`[protected]`

| Definition at line 316 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::ConeActor`[protected]`

| Definition at line 324 of file vtkPlaneWidget.h.

vtkPolyDataMapper* vtkPlaneWidget::ConeMapper`[protected]`

| Definition at line 325 of file vtkPlaneWidget.h.

vtkConeSource* vtkPlaneWidget::ConeSource`[protected]`

| Definition at line 326 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::LineActor`[protected]`

| Definition at line 330 of file vtkPlaneWidget.h.

vtkPolyDataMapper* vtkPlaneWidget::LineMapper`[protected]`

| Definition at line 331 of file vtkPlaneWidget.h.

vtkLineSource* vtkPlaneWidget::LineSource`[protected]`

| Definition at line 332 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::ConeActor2`[protected]`

| Definition at line 335 of file vtkPlaneWidget.h.

vtkPolyDataMapper* vtkPlaneWidget::ConeMapper2`[protected]`

| Definition at line 336 of file vtkPlaneWidget.h.

vtkConeSource* vtkPlaneWidget::ConeSource2`[protected]`

| Definition at line 337 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::LineActor2`[protected]`

| Definition at line 340 of file vtkPlaneWidget.h.

vtkPolyDataMapper* vtkPlaneWidget::LineMapper2`[protected]`

| Definition at line 341 of file vtkPlaneWidget.h.

vtkLineSource* vtkPlaneWidget::LineSource2`[protected]`

| Definition at line 342 of file vtkPlaneWidget.h.

vtkCellPicker* vtkPlaneWidget::HandlePicker`[protected]`

| Definition at line 345 of file vtkPlaneWidget.h.

vtkCellPicker* vtkPlaneWidget::PlanePicker`[protected]`

| Definition at line 346 of file vtkPlaneWidget.h.

vtkActor* vtkPlaneWidget::CurrentHandle`[protected]`

| Definition at line 347 of file vtkPlaneWidget.h.

float vtkPlaneWidget::Normal[3]`[protected]`

| Definition at line 360 of file vtkPlaneWidget.h.

vtkTransform* vtkPlaneWidget::Transform`[protected]`

| Definition at line 363 of file vtkPlaneWidget.h.

vtkProperty* vtkPlaneWidget::HandleProperty`[protected]`

| Definition at line 367 of file vtkPlaneWidget.h.

vtkProperty* vtkPlaneWidget::SelectedHandleProperty`[protected]`

| Definition at line 368 of file vtkPlaneWidget.h.

vtkProperty* vtkPlaneWidget::PlaneProperty`[protected]`

| Definition at line 369 of file vtkPlaneWidget.h.

vtkProperty* vtkPlaneWidget::SelectedPlaneProperty`[protected]`

| Definition at line 370 of file vtkPlaneWidget.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkPlaneWidget.h